#ifndef INC_cwoph
#define INC_cwoph
/*---------------------------------------------------------------------------
 
  FILENAME:
        cwop.h
 
  PURPOSE:
        Provide the wview CWOP process definitions.
 
  REVISION HISTORY:
        Date            Engineer        Revision        Remarks
        07/12/2005      M.S. Teel       0               Original
 
  NOTES:
        
 
  LICENSE:
        Copyright (c) 2005, Mark S. Teel (mark@teel.ws)
  
        This source code is released for free distribution under the terms 
        of the GNU General Public License.
  
----------------------------------------------------------------------------*/

/*  ... System include files
*/
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <string.h>

/*  ... Library include files
*/
#include <sysdefs.h>
#include <radsystem.h>
#include <radsemaphores.h>
#include <radbuffers.h>
#include <radlist.h>
#include <radqueue.h>
#include <radtimers.h>
#include <radevents.h>
#include <radtimeUtils.h>
#include <radsysutils.h>
#include <radprocess.h>
#include <radsocket.h>
#include <radconffile.h>
#include <radmsgRouter.h>

/*  ... Local include files
*/
#include <services.h>
#include <sysdefs.h>
#include <datadefs.h>


#define __DEBUG         TRUE


/*  ... API definitions
*/

/*  !!!!!!!!!!!!!!!!!!  HIDDEN, NOT FOR API USE  !!!!!!!!!!!!!!!!!!
*/

typedef struct
{
    pid_t           myPid;
    char            configFile[128];
    char            pidFile[128];
    char            fifoFile[128];
    char            daemonQname[128];
    char            wviewdir[128];
    char            callSign[64];
    char            server1[128];
    int             portNo1;
    char            server2[128];
    int             portNo2;
    char            server3[128];
    int             portNo3;
    char            latitude[16];
    char            longitude[16];
    int             logWXPackets;
    int             inMainLoop;
    int             exiting;
} WVIEW_CWOP_WORK;

/*  !!!!!!!!!!!!!!!!!!!!  END HIDDEN SECTION  !!!!!!!!!!!!!!!!!!!!!
*/



/* ... API function prototypes
*/



#endif
