#!/bin/sh

# Provide a script to rotate the index.htx template every one minute
#
# cron table entry required:
#    0-59/6 * * * * /etc/wview/html/rotate-index.sh >/dev/null
# Note that the "6" should be changed to the number of "ln -s" commands
# in this script.
#
# To edit the root crontab, (as root) execute "crontab -e". This will open 
# the root cron table in the default editor (normally vi). To save and 
# install the new cron table, simply save and exit the editor as you normally 
# would.

# WARNING: this will destroy any existing index.htx file in /etc/wview/html, 
#          so rename the file before running this script. You can rename your 
#          current index.htx to index-classic.htx to have it included in the 
#          rotation (or add more entries to the script below).


rm -rf /etc/wview/html/index.htx
ln -s /etc/wview/html/index-above-clouds.htx /etc/wview/html/index.htx
sleep 60

rm -rf /etc/wview/html/index.htx
ln -s /etc/wview/html/index-clouds.htx /etc/wview/html/index.htx
sleep 60

rm -rf /etc/wview/html/index.htx
ln -s /etc/wview/html/index-dusky.htx /etc/wview/html/index.htx
sleep 60

rm -rf /etc/wview/html/index.htx
ln -s /etc/wview/html/index-darkblue.htx /etc/wview/html/index.htx
sleep 60

rm -rf /etc/wview/html/index.htx
ln -s /etc/wview/html/index-leaves.htx /etc/wview/html/index.htx
sleep 60

rm -rf /etc/wview/html/index.htx
ln -s /etc/wview/html/index-classic.htx /etc/wview/html/index.htx


