/*---------------------------------------------------------------------------

  FILENAME:
        htmlUtils.c

  PURPOSE:
        Provide the wview html generator utilities.

  REVISION HISTORY:
        Date            Engineer        Revision        Remarks
        08/30/03        M.S. Teel       0               Original

  NOTES:
        

  LICENSE:
        Copyright (c) 2004, Mark S. Teel (mark@teel.ws)
  
        This source code is released for free distribution under the terms 
        of the GNU General Public License.
  
----------------------------------------------------------------------------*/

/*  ... System include files
*/
#include <termios.h>

/*  ... Library include files
*/

/*  ... Local include files
*/
#include <services.h>
#include <html.h>


/*  ... global memory declarations
*/

/*  ... global memory referenced
*/

/*  ... static (local) memory declarations
*/

static int      lastDSTState;
int htmlutilsDetectDSTInit (void)
{
    time_t              ntime;
    struct tm           tmtime;

    ntime = time (NULL);
    localtime_r (&ntime, &tmtime);
    
    lastDSTState = tmtime.tm_isdst;
    
    return 0;
}

// returns:
// 0  => no change
// -1 => fall back from DST to non-DST
// 1  => spring forward from non-DST to DST
int htmlutilsDetectDSTChange (void)
{
    time_t              ntime;
    struct tm           tmtime;
    int                 retVal;

    ntime = time (NULL);
    localtime_r (&ntime, &tmtime);
    
    if (tmtime.tm_isdst != lastDSTState)
    {
        if (lastDSTState != 0)
        {
            // fall back
            retVal = -1;
        }
        else
        {
            // spring forward
            retVal = 1;
        }

        lastDSTState = tmtime.tm_isdst;
        return retVal;
    }
    else
    {
        return 0;
    }
}

